package com.fjs.scenic.mapper.scenic;

import com.fjs.scenic.entity.scenic.TicketInformation;

import java.util.List;

public interface TicketInformationMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TicketInformation record);

    int insertSelective(TicketInformation record);

    TicketInformation selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TicketInformation record);

    int updateByPrimaryKeyWithBLOBs(TicketInformation record);

    int updateByPrimaryKey(TicketInformation record);

    TicketInformation selectByScenicId(Integer id);

    int updateByScenicId(TicketInformation ticketInformation);
}